from dataclasses import dataclass
from enum import auto

from strenum import StrEnum

from prometheus_client import Enum


class BuildStatus(StrEnum):
    running = auto()
    success = auto()
    failure = auto()
    unknown = auto()


@dataclass
class Repo:
    id: int
    name: str
    owner: str
    build_status_tracker: Enum = None